SmartMemory
POST
/memory/decisions/{decision_id}/supersede

Replace a decision with a new one, marking the old as superseded.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Path Parameters

decision_id*Decision Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to supersede a decision.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/memory/decisions/string/supersede" \  -H "Content-Type: application/json" \  -d '{    "new_content": "string",    "reason": "string"  }'
{
  "status": "scheduled",
  "old_item_id": "string",
  "new_item_id": "string",
  "scope_go_lives": [
    {}
  ],
  "recorded_at": "2019-08-24T14:15:22Z"
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}